summaryrefslogtreecommitdiff
path: root/app-editors/atom
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-17 12:29:18 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-17 12:29:18 +0200
commitfc84827219eb4d18edd36e6da4a1c05539167847 (patch)
tree14dbb7e6934ef6334e489b57bfb72e4e5673d262 /app-editors/atom
parenta5d4f459b596b819de5d3bad4dc3dbdd7bf34fc2 (diff)
Added editor/atom package
Diffstat (limited to 'app-editors/atom')
-rw-r--r--app-editors/atom/atom-0.169.0.ebuild97
-rw-r--r--app-editors/atom/atom-0.174.0.ebuild97
-rw-r--r--app-editors/atom/atom-9999.ebuild99
-rw-r--r--app-editors/atom/files/0002-skip-atom-shell-copy.patch13
-rw-r--r--app-editors/atom/metadata.xml8
5 files changed, 314 insertions, 0 deletions
diff --git a/app-editors/atom/atom-0.169.0.ebuild b/app-editors/atom/atom-0.169.0.ebuild
new file mode 100644
index 00000000..b927e56c
--- /dev/null
+++ b/app-editors/atom/atom-0.169.0.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+inherit git-r3 flag-o-matic python-any-r1 eutils
+
+DESCRIPTION="A hackable text editor for the 21st Century"
+HOMEPAGE="https://atom.io"
+SRC_URI=""
+
+EGIT_REPO_URI="git://github.com/atom/atom"
+
+LICENSE="MIT"
+SLOT="0"
+
+if [[ ${PV} == *9999 ]];then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="v${PV}"
+fi
+
+IUSE=""
+
+DEPEND="
+ ${PYTHON_DEPS}
+ dev-util/atom-shell:0/20
+ >=net-libs/nodejs-0.10.30[npm]
+ media-fonts/inconsolata
+"
+
+RDEPEND="${DEPEND}"
+
+QA_PRESTRIPPED="/usr/share/atom/resources/app/node_modules/symbols-view/vendor/ctags-linux"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+
+ npm config set python $PYTHON
+}
+
+src_unpack() {
+ git-r3_src_unpack
+}
+
+src_prepare() {
+ # Skip atom-shell download
+ sed -i -e "s/defaultTasks = \['download-atom-shell', /defaultTasks = [/g" \
+ ./build/Gruntfile.coffee \
+ || die "Failed to fix Gruntfile"
+
+ # Skip atom-shell copy
+ epatch "${FILESDIR}/0002-skip-atom-shell-copy.patch"
+
+ # Fix atom location guessing
+ sed -i -e 's/ATOM_PATH="$USR_DIRECTORY\/share\/atom/ATOM_PATH="$USR_DIRECTORY\/../g' \
+ ./atom.sh \
+ || die "Fail fixing atom-shell directory"
+}
+
+src_compile() {
+ ./script/build --verbose --build-dir "${T}" || die "Failed to compile"
+ "${T}/Atom/resources/app/apm/node_modules/atom-package-manager/bin/apm" rebuild || die "Failed to rebuild native module"
+ # Setup python path to builtin npm
+ echo "python = $PYTHON" >> "${T}/Atom/resources/app/apm/node_modules/atom-package-manager/.apmrc"
+}
+
+src_install() {
+ into /usr
+
+ insinto /usr/share/applications
+
+ insinto /usr/share/${PN}/resources/app
+ exeinto /usr/bin
+
+ cd "${T}/Atom/resources/app"
+ doicon resources/atom.png
+ dodoc LICENSE.md
+
+ # Installs everything in Atom/resources/app
+ doins -r .
+
+ # Fixes permissions
+ fperms +x /usr/share/${PN}/resources/app/atom.sh
+ fperms +x /usr/share/${PN}/resources/app/apm/node_modules/.bin/apm
+ fperms +x /usr/share/${PN}/resources/app/apm/node_modules/atom-package-manager/bin/node
+ fperms +x /usr/share/${PN}/resources/app/apm/node_modules/atom-package-manager/node_modules/npm/bin/node-gyp-bin/node-gyp
+
+ # Symlinking to /usr/bin
+ dosym ../share/${PN}/resources/app/atom.sh /usr/bin/atom
+ dosym ../share/${PN}/resources/app/apm/node_modules/atom-package-manager/bin/apm /usr/bin/apm
+
+ make_desktop_entry "/usr/bin/atom %U" "Atom" "atom" "GNOME;GTK;Utility;TextEditor;Development;" "MimeType=text/plain;\nStartupNotify=true\nStartupWMClass=Atom"
+}
diff --git a/app-editors/atom/atom-0.174.0.ebuild b/app-editors/atom/atom-0.174.0.ebuild
new file mode 100644
index 00000000..b927e56c
--- /dev/null
+++ b/app-editors/atom/atom-0.174.0.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+inherit git-r3 flag-o-matic python-any-r1 eutils
+
+DESCRIPTION="A hackable text editor for the 21st Century"
+HOMEPAGE="https://atom.io"
+SRC_URI=""
+
+EGIT_REPO_URI="git://github.com/atom/atom"
+
+LICENSE="MIT"
+SLOT="0"
+
+if [[ ${PV} == *9999 ]];then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="v${PV}"
+fi
+
+IUSE=""
+
+DEPEND="
+ ${PYTHON_DEPS}
+ dev-util/atom-shell:0/20
+ >=net-libs/nodejs-0.10.30[npm]
+ media-fonts/inconsolata
+"
+
+RDEPEND="${DEPEND}"
+
+QA_PRESTRIPPED="/usr/share/atom/resources/app/node_modules/symbols-view/vendor/ctags-linux"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+
+ npm config set python $PYTHON
+}
+
+src_unpack() {
+ git-r3_src_unpack
+}
+
+src_prepare() {
+ # Skip atom-shell download
+ sed -i -e "s/defaultTasks = \['download-atom-shell', /defaultTasks = [/g" \
+ ./build/Gruntfile.coffee \
+ || die "Failed to fix Gruntfile"
+
+ # Skip atom-shell copy
+ epatch "${FILESDIR}/0002-skip-atom-shell-copy.patch"
+
+ # Fix atom location guessing
+ sed -i -e 's/ATOM_PATH="$USR_DIRECTORY\/share\/atom/ATOM_PATH="$USR_DIRECTORY\/../g' \
+ ./atom.sh \
+ || die "Fail fixing atom-shell directory"
+}
+
+src_compile() {
+ ./script/build --verbose --build-dir "${T}" || die "Failed to compile"
+ "${T}/Atom/resources/app/apm/node_modules/atom-package-manager/bin/apm" rebuild || die "Failed to rebuild native module"
+ # Setup python path to builtin npm
+ echo "python = $PYTHON" >> "${T}/Atom/resources/app/apm/node_modules/atom-package-manager/.apmrc"
+}
+
+src_install() {
+ into /usr
+
+ insinto /usr/share/applications
+
+ insinto /usr/share/${PN}/resources/app
+ exeinto /usr/bin
+
+ cd "${T}/Atom/resources/app"
+ doicon resources/atom.png
+ dodoc LICENSE.md
+
+ # Installs everything in Atom/resources/app
+ doins -r .
+
+ # Fixes permissions
+ fperms +x /usr/share/${PN}/resources/app/atom.sh
+ fperms +x /usr/share/${PN}/resources/app/apm/node_modules/.bin/apm
+ fperms +x /usr/share/${PN}/resources/app/apm/node_modules/atom-package-manager/bin/node
+ fperms +x /usr/share/${PN}/resources/app/apm/node_modules/atom-package-manager/node_modules/npm/bin/node-gyp-bin/node-gyp
+
+ # Symlinking to /usr/bin
+ dosym ../share/${PN}/resources/app/atom.sh /usr/bin/atom
+ dosym ../share/${PN}/resources/app/apm/node_modules/atom-package-manager/bin/apm /usr/bin/apm
+
+ make_desktop_entry "/usr/bin/atom %U" "Atom" "atom" "GNOME;GTK;Utility;TextEditor;Development;" "MimeType=text/plain;\nStartupNotify=true\nStartupWMClass=Atom"
+}
diff --git a/app-editors/atom/atom-9999.ebuild b/app-editors/atom/atom-9999.ebuild
new file mode 100644
index 00000000..a86a95ae
--- /dev/null
+++ b/app-editors/atom/atom-9999.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+inherit git-r3 flag-o-matic python-any-r1 eutils
+
+DESCRIPTION="A hackable text editor for the 21st Century"
+HOMEPAGE="https://atom.io"
+SRC_URI=""
+
+EGIT_REPO_URI="git://github.com/atom/atom"
+
+LICENSE="MIT"
+SLOT="0"
+
+if [[ ${PV} == *9999 ]];then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="v${PV}"
+fi
+
+IUSE=""
+
+DEPEND="
+ ${PYTHON_DEPS}
+ dev-util/atom-shell:0/20
+ >=net-libs/nodejs-0.10.30[npm]
+ media-fonts/inconsolata
+"
+
+RDEPEND="${DEPEND}"
+
+QA_PRESTRIPPED="/usr/share/atom/resources/app/node_modules/symbols-view/vendor/ctags-linux"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+
+ npm config set python $PYTHON
+}
+
+src_unpack() {
+ git-r3_src_unpack
+}
+
+src_prepare() {
+ # Skip atom-shell download
+ sed -i -e "s/defaultTasks = \['download-atom-shell', /defaultTasks = [/g" \
+ ./build/Gruntfile.coffee \
+ || die "Failed to fix Gruntfile"
+
+ # Skip atom-shell copy
+ epatch "${FILESDIR}/0002-skip-atom-shell-copy.patch"
+
+ # Fix atom location guessing
+ sed -i -e 's/ATOM_PATH="$USR_DIRECTORY\/share\/atom/ATOM_PATH="$USR_DIRECTORY\/../g' \
+ ./atom.sh \
+ || die "Fail fixing atom-shell directory"
+}
+
+src_compile() {
+ ./script/build --verbose --build-dir "${T}" || die "Failed to compile"
+
+ "${T}/Atom/resources/app/apm/node_modules/atom-package-manager/bin/apm" rebuild || die "Failed to rebuild native module"
+
+ # Setup python path to builtin npm
+ echo "python = $PYTHON" >> "${T}/Atom/resources/app/apm/node_modules/atom-package-manager/.apmrc"
+}
+
+src_install() {
+ into /usr
+
+ insinto /usr/share/applications
+
+ insinto /usr/share/${PN}/resources/app
+ exeinto /usr/bin
+
+ cd "${T}/Atom/resources/app"
+ doicon resources/atom.png
+ dodoc LICENSE.md
+
+ # Installs everything in Atom/resources/app
+ doins -r .
+
+ # Fixes permissions
+ fperms +x /usr/share/${PN}/resources/app/atom.sh
+ fperms +x /usr/share/${PN}/resources/app/apm/node_modules/.bin/apm
+ fperms +x /usr/share/${PN}/resources/app/apm/node_modules/atom-package-manager/bin/node
+ fperms +x /usr/share/${PN}/resources/app/apm/node_modules/atom-package-manager/node_modules/npm/bin/node-gyp-bin/node-gyp
+
+ # Symlinking to /usr/bin
+ dosym ../share/${PN}/resources/app/atom.sh /usr/bin/atom
+ dosym ../share/${PN}/resources/app/apm/node_modules/atom-package-manager/bin/apm /usr/bin/apm
+
+ make_desktop_entry "/usr/bin/atom %U" "Atom" "atom" "GNOME;GTK;Utility;TextEditor;Development;" "MimeType=text/plain;\nStartupNotify=true\nStartupWMClass=Atom"
+}
diff --git a/app-editors/atom/files/0002-skip-atom-shell-copy.patch b/app-editors/atom/files/0002-skip-atom-shell-copy.patch
new file mode 100644
index 00000000..6c1aceec
--- /dev/null
+++ b/app-editors/atom/files/0002-skip-atom-shell-copy.patch
@@ -0,0 +1,13 @@
+diff --git a/build/tasks/build-task.coffee b/build/tasks/build-task.coffee
+index c9964b4..74d8881 100644
+--- a/build/tasks/build-task.coffee
++++ b/build/tasks/build-task.coffee
+@@ -15,8 +15,6 @@ module.exports = (grunt) ->
+
+ if process.platform is 'darwin'
+ cp 'atom-shell/Atom.app', shellAppDir, filter: /default_app/
+- else
+- cp 'atom-shell', shellAppDir, filter: /default_app/
+
+ mkdir appDir
+
diff --git a/app-editors/atom/metadata.xml b/app-editors/atom/metadata.xml
new file mode 100644
index 00000000..94d89458
--- /dev/null
+++ b/app-editors/atom/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>mplichta@gmail.com</email>
+ <name>Michal Plichta</name>
+ </maintainer>
+</pkgmetadata>